Block Plugin Update

Description

This Plugin blocks updates from a specific plugin.

You can select the plugins you want to block for updates from Block Plugin Update under Settings or tick them all to remove all plugin updates.

If you still any problem visit our support forum or you can write to us directly using our contact form.

Plugin you may like
* Use Any Font
* WP Armour Anti Spam Plugin
* jQuery Validation for Gravity Forms
* jQuery Validation For Contact Form 7
* Any Mobile Theme Switcher
* Featured Image In RSS Feed
* Add Tags And Category To Page

Screenshots

  • Admin Setting

Installation

  1. Search Block Plugin Updates and click on Install.
  2. Activate the plugin through the ‘Plugins’ menu in WordPress.
  3. Tick the plugins to block updates from Block Plugin Update under Settings

FAQ

After I save the plugin settings, all updates are gone.

You need to logout and login to get the proper effect.

Reviews

July 25, 2022 1 reply
After I installed it, then selected the plugin to block, it still shows the plugin needing an update in the update screen.
February 13, 2021
Minimal UI and it just works. Nice job. One recommendation I have is that it would be nice to be able to add notes on the plugins.php screen to inform why updating of a plugin is disabled.
September 3, 2016
I was a little concerned before installing it being it hasn't been updated a few WP versions and the were no recent support requests, but I tired it anyway and it does the trick.
Read all 18 reviews

Contributors & Developers

“Block Plugin Update” is open source software. The following people have contributed to this plugin.

Contributors

Translate “Block Plugin Update” into your language.

Interested in development?

Browse the code, check out the SVN repository, or subscribe to the development log by RSS.

Changelog

3.3

  • Tested with 6.0.1
  • Clean UI

3.2

  • Tested with 5.8.2

3.1

  • Fix plugin list update issue after save.

3.0

  • Tested with 5.3.2

2.2

  • Tested with 4.5.3
  • Added Settings link in plugin list

2.1

  • Tested with 4.2.3

2.0

  • Tested with 4.1.1

1.0

  • Supports now wordpress 3.7

0.1

  • First Release